Skip to main content
GET
/
api
/
tools
cURL
curl --request GET \
  --url https://api.ultravox.ai/api/tools \
  --header 'X-API-Key: <api-key>'
{
  "results": [
    {
      "toolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "definition": {
        "modelToolName": "<string>",
        "description": "<string>",
        "dynamicParameters": [
          {
            "name": "<string>",
            "location": "PARAMETER_LOCATION_UNSPECIFIED",
            "schema": {},
            "required": true
          }
        ],
        "staticParameters": [
          {
            "name": "<string>",
            "location": "PARAMETER_LOCATION_UNSPECIFIED",
            "value": "<unknown>"
          }
        ],
        "automaticParameters": [
          {
            "name": "<string>",
            "location": "PARAMETER_LOCATION_UNSPECIFIED",
            "knownValue": "KNOWN_PARAM_UNSPECIFIED"
          }
        ],
        "requirements": {
          "httpSecurityOptions": {
            "options": [
              {
                "requirements": {},
                "ultravoxCallTokenRequirement": {
                  "scopes": [
                    "<string>"
                  ]
                }
              }
            ]
          },
          "requiredParameterOverrides": [
            "<string>"
          ]
        },
        "timeout": "<string>",
        "precomputable": true,
        "http": {
          "baseUrlPattern": "<string>",
          "httpMethod": "<string>"
        },
        "client": {},
        "dataConnection": {},
        "defaultReaction": "AGENT_REACTION_UNSPECIFIED",
        "staticResponse": {
          "responseText": "<string>"
        }
      },
      "ownership": "public"
    }
  ],
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
  "total": 123
}

Authorizations

X-API-Key
string
header
required

API key

Query Parameters

cursor
string

The pagination cursor value.

ownership
enum<string>

The ownership used to filter results.

  • private - Only private tools
  • public - Only public tools
Available options:
private,
public
Minimum string length: 1
pageSize
integer

Number of results to return per page.

The search string used to filter results.

Minimum string length: 1
sortOrder
enum<string>
default:default

How results should be ordered. If a cursor is provided, this parameter must match the sortOrder used in the previous request for results to be sensible.

  • display - Display order. Public tools by name first, then private tools with most recent first.
  • alphabetic - Name ascending
  • reverseAlphabetic - Name descending
  • chronologic - Creation order with oldest first.
  • reverseChronologic - Creation order with newest first.
  • default - Default ordering. Same as reverseChronologic but with private tools first.
Available options:
display,
alphabetic,
reverseAlphabetic,
chronologic,
reverseChronologic,
default
Minimum string length: 1

Response

200 - application/json
results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cD00ODY%3D\""

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"

total
integer
Example:

123